#pragma once

#include <stdint.h>

struct Projectile {
    int16_t x, y;
    int8_t dx, dy;
    bool visible;

    Projectile() : x(0), y(0), dx(0), dy(0), visible(false) {}

    Projectile(int16_t x, int16_t y, int8_t dx, int8_t dy)
        : x(x), y(y), dx(dx), dy(dy), visible(true) {}
};
